GrailsTestRunNotifier (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.test.event

## [Java] Class GrailsTestRunNotifier

- org.codehaus.groovy.grails.test.event.GrailsTestRunNotifier

- A RunNotifier that logs the the GrailsConsole.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsTestRunNotifier (int total)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `fireTestFailure(org.junit.runner.notification.Failure failure)`
    `void` | `fireTestRunFinished(org.junit.runner.Result result)`
    `void` | `fireTestStarted(org.junit.runner.Description description)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.junit.runner.notification.RunNotifier` | `org.junit.runner.notification.RunNotifier#addListener(org.junit.runner.notification.RunListener), org.junit.runner.notification.RunNotifier#removeListener(org.junit.runner.notification.RunListener), org.junit.runner.notification.RunNotifier#fireTestRunStarted(org.junit.runner.Description), org.junit.runner.notification.RunNotifier#fireTestRunFinished(org.junit.runner.Result), org.junit.runner.notification.RunNotifier#fireTestStarted(org.junit.runner.Description), org.junit.runner.notification.RunNotifier#fireTestFailure(org.junit.runner.notification.Failure), org.junit.runner.notification.RunNotifier#fireTestAssumptionFailed(org.junit.runner.notification.Failure), org.junit.runner.notification.RunNotifier#fireTestIgnored(org.junit.runner.Description), org.junit.runner.notification.RunNotifier#fireTestFinished(org.junit.runner.Description), org.junit.runner.notification.RunNotifier#pleaseStop(), org.junit.runner.notification.RunNotifier#addFirstListener(org.junit.runner.notification.RunListener), org.junit.runner.notification.RunNotifier#wait(long, int), org.junit.runner.notification.RunNotifier#wait(long), org.junit.runner.notification.RunNotifier#wait(), org.junit.runner.notification.RunNotifier#equals(java.lang.Object), org.junit.runner.notification.RunNotifier#toString(), org.junit.runner.notification.RunNotifier#hashCode(), org.junit.runner.notification.RunNotifier#getClass(), org.junit.runner.notification.RunNotifier#notify(), org.junit.runner.notification.RunNotifier#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public GrailsTestRunNotifier(int total)

  - ### Method Detail

    - #### @java.lang.Override public void fireTestFailure(org.junit.runner.notification.Failure failure)

    - #### @java.lang.Override public void fireTestRunFinished(org.junit.runner.Result result)

    - #### @java.lang.Override public void fireTestStarted(org.junit.runner.Description description)